Package org.apache.ignite.internal.management.cache

## Class ScheduleIndexRebuildJobRes

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.management.cache.ScheduleIndexRebuildJobRes

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class ScheduleIndexRebuildJobRes
    extends IgniteDataTransferObject

Result of the ScheduleIndexRebuildJob.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
`ScheduleIndexRebuildJobRes()` Empty constructor required for Serializable.
`ScheduleIndexRebuildJobRes​(Map<String,​Set<String>> cacheToIndexes, Map<String,​Set<String>> notFoundIndexes, Set<String> notFoundCacheNames, Set<String> notFoundGroupNames)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,​Set<String>>` `cacheToIndexes()`
`Set<String>` `notFoundCacheNames()`
`Set<String>` `notFoundGroupNames()`
`Map<String,​Set<String>>` `notFoundIndexes()`
`protected void` `readExternalData​(byte protoVer, ObjectInput in)` Load object's specific data content.
`protected void` `writeExternalData​(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScheduleIndexRebuildJobRes

    public ScheduleIndexRebuildJobRes()

Empty constructor required for Serializable.

#### ScheduleIndexRebuildJobRes

    public ScheduleIndexRebuildJobRes​(Map<String,​Set<String>> cacheToIndexes,
                                      Map<String,​Set<String>> notFoundIndexes,
                                      Set<String> notFoundCacheNames,
                                      Set<String> notFoundGroupNames)

Constructor.

Parameters:
  `cacheToIndexes` - Map cache names -> indexes scheduled for the rebuild.
  `notFoundIndexes` - Names of cache indexes that were not found (cache -> set of indexes).
  `notFoundCacheNames` - Names of caches that were not found.
  `notFoundGroupNames` - Names of cache groups that were not found.

### Method Detail

#### writeExternalData

    protected void writeExternalData​(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData​(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### cacheToIndexes

    public Map<String,​Set<String>> cacheToIndexes()

Returns:
  Map cache names -> indexes scheduled for the rebuild.

#### notFoundCacheNames

    public Set<String> notFoundCacheNames()

Returns:
  Names of caches that were not found.

#### notFoundIndexes

    public Map<String,​Set<String>> notFoundIndexes()

Returns:
  Names of cache indexes that were not found (cache -> set of indexes).

#### notFoundGroupNames

    public Set<String> notFoundGroupNames()

Returns:
  Names of cache groups that were not found.